lib32tinfo-dev_6.0+20160213-1ubuntu1_amd64.deb


Advertisement

Description

lib32tinfo-dev - developer's library for the low-level terminfo library (32-bit)

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Main amd64
Package filename lib32tinfo-dev_6.0+20160213-1ubuntu1_amd64.deb
Package name lib32tinfo-dev
Package version 6.0+20160213
Package release 1ubuntu1
Package architecture amd64
Package type deb
Category libdevel
Homepage http://invisible-island.net/ncurses/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 72.75 KB
Installed size 273.00 KB
The ncurses library routines are a terminal-independent method of
updating character screens with reasonable optimization.
This package contains the static library and symbolic link that developers
using the low-level terminfo library will need.  Packages should not
build-depend on this package.
This package supports the 32-bit ABI variant of your system's architecture.

Alternatives

Package Version Architecture Repository
lib32tinfo-dev - - -

Requires

Name Value
lib32c-dev -
lib32tinfo5 = 6.0+20160213-1ubuntu1

Replaces

Name Value
lib32ncurses5-dev << 5.9-3
lib32tinfo5-dev -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package lib32tinfo-dev_6.0+20160213-1ubuntu1_amd64.deb
Source Package ncurses

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install lib32tinfo-dev deb package:
    # sudo apt-get install lib32tinfo-dev

Files

Path
/usr/lib32/libtermcap.a
/usr/lib32/libtermcap.so
/usr/lib32/libtic.a
/usr/lib32/libtic.so
/usr/lib32/libtinfo.a
/usr/lib32/libtinfo.so
/usr/share/doc/lib32tinfo-dev

Changelog

2016-02-19 - Matthias Klose <doko@ubuntu.com>
ncurses (6.0+20160213-1ubuntu1) xenial; urgency=medium
* Merge with Debian; remaining changes:
- Add a simple autopkgtest to the package.
- Build x32 packages.
- Build 32bit packages on s390x.
2016-02-18 - Sven Joachim <svenjoac@gmx.de>
ncurses (6.0+20160213-1) unstable; urgency=low
* New upstream patchlevel.
* Only include debug symbols for the libraries in the -dbg packages,
use automatic -dbgsym packages for ncurses-{bin,examples} and the
multilib packages.
* Bump debhelper compatibility level to 9.
* Update years in debian/copyright.
* Use https in Vcs-Git URL.
2016-02-04 - Dimitri John Ledkov <xnox@ubuntu.com>
ncurses (6.0+20151024-2ubuntu2) xenial; urgency=medium
* Build 32bit packages on s390x.
2015-12-04 - Colin Watson <cjwatson@ubuntu.com>
ncurses (6.0+20151024-2ubuntu1) xenial; urgency=medium
* Resynchronise with Debian.  Remaining changes:
- Add a simple autopkgtest to the package.
- Build x32 packages.
2015-11-05 - Sven Joachim <svenjoac@gmx.de>
ncurses (6.0+20151024-2) unstable; urgency=medium
* Drop the static debug libraries (Closes: #803482).
* Remove the dependency of the -dbg packages on their -dev counterparts,
let them depend on the libraries instead.
* Add a dependency on ncurses-bin (>= 6.0+20151017) to libtinfo-dev,
making piuparts happy (Closes: #803563).
* Add an empty /usr/share/terminfo to ncurses-base to work around
FTBFS in jed and slrn (see #804083, #804084).
* Update Vcs-Browser field to use cgit and https.
2015-10-25 - Sven Joachim <svenjoac@gmx.de>
ncurses (6.0+20151024-1) unstable; urgency=low
* New upstream patchlevel.
- Improve configure check for setting WILDCARD_SYMS variable; on ppc64
the variable is in the Data section rather than Text (patch by Michel
Normand, Closes: #802810).
2015-10-23 - Sven Joachim <svenjoac@gmx.de>
ncurses (6.0+20151017-1) unstable; urgency=low
[ Sven Joachim ]
* New upstream patchlevel.
- Improve check for working poll() by using posix_openpt() as a
fallback in case there is no valid terminal on the standard input
(Closes: #676461).
- Modify ncurses/Makefile.in to sort keys.list in POSIX locale
(Closes: #801864).
* Update symbols files for new symbol _nc_write_object.
* Bump build dependencies on debhelper (>= 9.20141010) and
dpkg-dev (>= 1.17.14) for build profiles support.
* Update rxvt-unicode terminfo description from upstream CVS Rev 1.35
(Closes: #801709).
* Move the ncurses{w,}5-config scripts to their respective -dev
packages again (Closes: #745479).
[ Johannes Schauer ]
* Support the nobiarch build profile for avoiding multilib. (Closes: #737946)
2015-08-17 - Sven Joachim <svenjoac@gmx.de>
ncurses (6.0+20150810-1) unstable; urgency=medium
* New upstream release.
- Fix comparison against "/usr/include" in misc/gen-pkgconfig.in
(Closes: #790548).
* Configure with "--with-abi-version=5", upstream defaults to abi 6 now.
* Configure with "--with-versioned-syms" (Closes: #788610).
- Bump minimal versions of all symbols as well as shlibs to 6.
* After building the wide library, install it into a temporary
scratchdir so that test/configure can find the necessary auxiliary
files (see #786436).
* Drop the libncursesw5-dev build-dependency.
2015-06-17 - Matthias Klose <doko@ubuntu.com>
ncurses (5.9+20150516-2ubuntu1) wily; urgency=medium
* Merge with Debian; remaining changes:
2015-05-21 - Sven Joachim <svenjoac@gmx.de>
ncurses (5.9+20150516-2) unstable; urgency=low
* Move the ncurses{w,}5-config scripts back to ncurses-bin
(Closes: #786436, reopens: #745479).
- Readd the dependency of the -dev packages on ncurses-bin.
- Temporarily add a build-dependency on libncursesw5-dev to
avoid the FTBFS problem in #786436.

See Also

Package Description
lib32tinfo5_6.0+20160213-1ubuntu1_amd64.deb shared low-level terminfo library for terminal handling (32-bit)
lib32ubsan0_5.3.1-14ubuntu2_amd64.deb UBSan -- undefined behaviour sanitizer (32bit)
lib32z1-dev_1.2.8.dfsg-2ubuntu4_amd64.deb compression library - 32 bit development
lib32z1_1.2.8.dfsg-2ubuntu4_amd64.deb compression library - 32 bit runtime
liba11y-profile-manager-0.1-0_0.1.10-0ubuntu3_amd64.deb Accessibility profile manager - Shared library
liba11y-profile-manager-0.1-dev_0.1.10-0ubuntu3_amd64.deb Development files for the accessibility profile manager library
liba11y-profile-manager-data_0.1.10-0ubuntu3_all.deb Accessibility Profile Manager - GSettings data
libaa1-dev_1.4p5-44build1_amd64.deb ASCII art library, development kit
libaa1_1.4p5-44build1_amd64.deb ASCII art library
libaal-dev_1.0.6-1_amd64.deb Reiser4's application abstraction library: Development files
libabw-0.1-1v5_0.1.1-2ubuntu2_amd64.deb library for reading and writing AbiWord(tm) documents
libabw-dev_0.1.1-2ubuntu2_amd64.deb library for reading and writing AbiWord(tm) documents -- development
libaccount-plugin-1.0-0_0.1.8+16.04.20160201-0ubuntu1_amd64.deb libaccount-plugin for Unity Control Center
libaccount-plugin-1.0-dev_0.1.8+16.04.20160201-0ubuntu1_amd64.deb libaccount-plugin for Unity Control Center - devel
libaccount-plugin-1.0-doc_0.1.8+16.04.20160201-0ubuntu1_all.deb libaccount-plugin for Unity Control Center - Developer Docs
Advertisement
Advertisement